import * as z from 'zod';
// prettier-ignore
export const AppointmentFileResultSchema = z.object({
    id: z.number().int(),
    appointmentId: z.number().int(),
    filename: z.string(),
    mimeType: z.string().nullable(),
    filePath: z.string().nullable(),
    appointment: z.unknown()
}).strict();

export type AppointmentFileResultType = z.infer<typeof AppointmentFileResultSchema>;
